Subject: Re: [patch 0/6] sky2 driver update (v1.11)

From: Tino Keitel <[email-masked]>
Date: Sat, 13 Jan 2007 14:03:29 +0100

On Tue, Jan 02, 2007 at 20:10:15 +0100, Tino Keitel wrote:

[...]

> Btw., I just built 2.6.20-rc3 with patches 4 and 5 and wake on LAN now
> works. Thanks for your work.

Hi,

I had some failures during resume from suspend with 2.6.20-rc3 and
-rc4. I enabled pm_trace and it looks like the sky2 driver is the
culprit:

hash matches drivers/base/power/resume.c:56
hash matches device 0000:01:00.0

$ lspci | grep 01:00.0
01:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053
PCI-E Gigabit Ethernet Controller (rev 22)

I removed the patches and had no resume failure so far.

Regards,
Tino